%define subrel 1

Name:		keepassxc
Version:	2.7.5
Release:	%mkrel 1
Summary:	Cross-platform password manager
License:	Boost and BSD and CC0 and GPLv3 and LGPLv2 and LGPLv2+ and LGPLv3+ and Public Domain
Group:		File tools
URL:		https://keepassxc.org/
Source0:	https://github.com/keepassxreboot/keepassxc/releases/download/%{version}/keepassxc-%{version}-src.tar.xz
BuildRequires:	cmake
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5X11Extras)
BuildRequires:	cmake(QuaZip-Qt5)
BuildRequires:	pkgconfig(botan-2)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(ykpers-1)
BuildRequires:	yubikey-devel
BuildRequires:	ruby-asciidoctor
BuildRequires:	pkgconfig(readline)
Obsoletes:	keepassx2 < 2.0.3-2
Obsoletes:	keepassx < 0.4.4-6
Provides:	keepassx = %{version}-%{release}

#Virtual provide for applications that require this type of managers (mga#32712)
Provides: secret-manager

%description
KeePassXC is a modern, secure, and open-source password manager that stores and
manages your most sensitive information.

%prep
%autosetup -p1

%build
%cmake_qt5 \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DWITH_TESTS=OFF \
	-DWITH_XC_ALL=ON \
	-DWITH_XC_UPDATECHECK=OFF
%cmake_build

%install
%cmake_install

desktop-file-edit \
	--add-mime-type application/x-keepassxc \
	%{buildroot}%{_datadir}/applications/org.keepassxc.KeePassXC.desktop

%check
ctest -V

%files
%doc README.md
%license COPYING LICENSE*
%{_bindir}/keepassxc
%{_bindir}/keepassxc-cli
%{_bindir}/keepassxc-proxy
%{_datadir}/keepassxc/
%{_datadir}/applications/org.keepassxc.KeePassXC.desktop
%{_datadir}/metainfo/org.keepassxc.KeePassXC.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_libdir}/keepassxc/libkeepassxc-autotype-xcb.so
%{_iconsdir}/hicolor/*/*/*keepassxc*
%{_mandir}/man1/keepassxc-cli.1*
%{_mandir}/man1/keepassxc.1*


%changelog
* Sun Mar 03 2024 papoteur <papoteur> 2.7.5-1.1.mga9
+ Revision: 2047395
- add virtual provides for applications like Nheko (mga#32712)

* Sat May 20 2023 guillomovitch <guillomovitch> 2.7.5-1.mga9
+ Revision: 1957399
- new version 2.7.5

* Sun Oct 30 2022 guillomovitch <guillomovitch> 2.7.4-1.mga9
+ Revision: 1900176
- new version 2.7.4

* Mon Oct 24 2022 guillomovitch <guillomovitch> 2.7.3-1.mga9
+ Revision: 1899118
- new version 2.7.3

* Mon Sep 19 2022 guillomovitch <guillomovitch> 2.7.1-4.mga9
+ Revision: 1890348
- rebuild for new qt

* Sat Sep 10 2022 tv <tv> 2.7.1-3.mga9
+ Revision: 1886509
- Rebuild for "keepassxc: symbol lookup error: keepassxc: undefined symbol:
  _ZN12QtConcurrent16ThreadEngineBase13startBlockingEv, version Qt_5"

* Tue Aug 23 2022 wally <wally> 2.7.1-2.mga9
+ Revision: 1879523
- obsolete and provide upstream dead keepassx
- update description

* Thu Apr 07 2022 tv <tv> 2.7.1-1.mga9
+ Revision: 1847133
- 2.7.1

* Wed Mar 23 2022 tv <tv> 2.7.0-1.mga9
+ Revision: 1822771
- 2.7.0
- BR pkgconfig(libpcsclite)
- BR pkgconfig(botan-2)
- BR pkgconfig(libusb-1.0)
- BR quazip-qt5-devel -> minizip-devel
- Convert some BRs to pkgconfig() style

* Mon Jun 14 2021 guillomovitch <guillomovitch> 2.6.6-1.mga9
+ Revision: 1730760
- new version 2.6.6

* Tue May 18 2021 daviddavid <daviddavid> 2.6.4-2.mga9
+ Revision: 1725514
- switch to new quazip 1.0

* Sat Feb 13 2021 guillomovitch <guillomovitch> 2.6.4-1.mga8
+ Revision: 1675262
- new version 2.6.4

* Sun Jan 17 2021 guillomovitch <guillomovitch> 2.6.3-1.mga8
+ Revision: 1672251
- new version 2.6.3

* Thu Dec 17 2020 umeabot <umeabot> 2.6.2-2.mga8
+ Revision: 1658690
- Rebuild for new Qt5

* Thu Oct 22 2020 guillomovitch <guillomovitch> 2.6.2-1.mga8
+ Revision: 1638503
- new version 2.6.2

* Sat Aug 22 2020 guillomovitch <guillomovitch> 2.6.1-1.mga8
+ Revision: 1617986
- new version 2.6.1
- fix build
- make new build dependency compatible with mageia 7

* Sun Jul 12 2020 guillomovitch <guillomovitch> 2.6.0-1.mga8
+ Revision: 1605673
- new version 2.6.0

* Wed Apr 15 2020 guillomovitch <guillomovitch> 2.5.4-1.mga8
+ Revision: 1567494
- new version 2.5.4
- make backporting easier

* Wed Feb 19 2020 umeabot <umeabot> 2.5.3-2.mga8
+ Revision: 1543456
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 sander85 <sander85> 2.5.3-1.mga8
+ Revision: 1481651
- New version: 2.5.3

* Tue Jan 07 2020 sander85 <sander85> 2.5.2-1.mga8
+ Revision: 1477072
- New version: 2.5.2
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 guillomovitch <guillomovitch> 2.5.1-1.mga8
+ Revision: 1459418
- new version 2.5.1

* Wed Nov 06 2019 guillomovitch <guillomovitch> 2.5.0-1.mga8
+ Revision: 1458478
- new version 2.5.0

* Sat Jul 27 2019 sander85 <sander85> 2.4.3-2.mga8
+ Revision: 1424593
- Require quazip to enable KeeShare signing

* Sat Jul 27 2019 sander85 <sander85> 2.4.3-1.mga8
+ Revision: 1424570
- New version: 2.4.3
+ wally <wally>
- use our preferred cmake build type RelWithDebInfo

* Mon Apr 15 2019 sander85 <sander85> 2.4.1-1.mga7
+ Revision: 1390761
- New version: 2.4.1

* Sat Mar 30 2019 umeabot <umeabot> 2.4.0-2.mga7
+ Revision: 1382345
- Qt5 Rebuild

* Sun Mar 24 2019 sander85 <sander85> 2.4.0-1.mga7
+ Revision: 1379978
- New version: 2.4.0

* Mon Aug 27 2018 sander85 <sander85> 2.3.4-1.mga7
+ Revision: 1255004
- New version: 2.3.4

* Wed May 30 2018 tv <tv> 2.3.3-2.mga7
+ Revision: 1233142
- add BR on xi & xtst-devel for autotype
- used -DWITH_XC_ALL=ON to enable all features
  (https://github.com/keepassxreboot/keepassxc/issues/1558#issuecomment-369291706)
- add BRs for yubikey
- fix build with Qt 5.11

* Sat May 12 2018 wally <wally> 2.3.3-1.mga7
+ Revision: 1228680
- new version 2.3.3

* Sat Mar 10 2018 sander85 <sander85> 2.3.1-1.mga7
+ Revision: 1208044
- New version: 2.3.1

* Sat Mar 03 2018 wally <wally> 2.3.0-2.mga7
+ Revision: 1206242
- enable networking support

* Sat Mar 03 2018 wally <wally> 2.3.0-1.mga7
+ Revision: 1206237
- new version 2.3.0
- disable deprecated KeePassHTTP feature
- enable KeePassXC-Browser and SSHAgent features

* Sun Jan 14 2018 wally <wally> 2.2.4-1.mga7
+ Revision: 1193237
- new version 2.2.4

* Sun Nov 19 2017 sander85 <sander85> 2.2.2-1.mga7
+ Revision: 1177812
- New version: 2.2.2

* Fri Oct 20 2017 wally <wally> 2.2.1-2.mga7
+ Revision: 1172923
- obsolete keepassx2

* Fri Oct 20 2017 sander85 <sander85> 2.2.1-1.mga7
+ Revision: 1172917
- New version: 2.2.1

* Fri Sep 29 2017 daviddavid <daviddavid> 2.2.0-2.mga7
+ Revision: 1161791
- kill unused find_lang

* Wed Jul 19 2017 sander85 <sander85> 2.2.0-1.mga7
+ Revision: 1124956
- imported package keepassxc


* Mon Jun 26 2017 Germano Massullo <germano.massullo@gmail.com> - 2.2.0-1
- 2.2.0 release
- added %%{_bindir}/keepassxc-cli
- changed -DWITH_XC_YUBIKEY=OFF to -DWITH_XC_YUBIKEY=ON
- added BuildRequires: ykpers-devel and BuildRequires: libyubikey-devel

* Fri May 19 2017 Germano Massullo <germano.massullo@gmail.com> - 2.1.4-2
- Disabled Yubikey support. It will be re-enabled on 2.2.0 release

* Sun May 14 2017 Germano Massullo <germano.massullo@gmail.com> - 2.1.4-1
- First release on Fedora repository
